org.apache.ignite.mxbean

## Interface WorkersControlMXBean

All Known Implementing Classes:
  WorkersControlMXBeanImpl

    @MXBeanDescription(value="MBean that provides ability to terminate worker that registered in the workers registry.")
    public interface WorkersControlMXBean

MBean that provides ability to terminate worker that registered in the workers registry.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `getWorkerNames()` Returns names of all registered workers.
`boolean` `terminateWorker(String name)` Terminates worker.

### Method Detail

#### getWorkerNames

    @MXBeanDescription(value="Names of registered workers.")
    List<String> getWorkerNames()

Returns names of all registered workers.

Returns:
  Worker names.

#### terminateWorker

    @MXBeanDescription(value="Terminates worker.")
     @MXBeanParametersNames(value="name")
     @MXBeanParametersDescriptions(value="Name of worker to terminate.")
    boolean terminateWorker(String name)

Terminates worker.

Parameters:
  `name` - Worker name.
Returns:
  `True` if worker has been terminated successfully, `false` otherwise.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018